Package io.flutter.plugin.platform

# Class PlatformViewsControllerDelegator

java.lang.Object
io.flutter.plugin.platform.PlatformViewsControllerDelegator

All Implemented Interfaces:
  `PlatformViewsAccessibilityDelegate`

public class PlatformViewsControllerDelegator extends Object implements PlatformViewsAccessibilityDelegate

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformViewsControllerDelegator(PlatformViewsController platformViewsController, PlatformViewsController2 platformViewsController2)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `attachAccessibilityBridge(AccessibilityBridge accessibilityBridge)`
  Attaches an accessibility bridge for this platform views accessibility delegate.
  `void`
  `detachAccessibilityBridge()`
  Detaches the current accessibility bridge.
  `View`
  `getPlatformViewById(int viewId)`
  Returns the root of the view hierarchy for the platform view with the requested id, or null if there is no corresponding view.
  `boolean`
  `usesVirtualDisplay(int id)`
  Returns true if the platform view uses virtual displays.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PlatformViewsControllerDelegator

    public PlatformViewsControllerDelegator(PlatformViewsController platformViewsController, PlatformViewsController2 platformViewsController2)

- ## Method Details

  - ### getPlatformViewById

    @Nullable public View getPlatformViewById(int viewId)
    Description copied from interface: `PlatformViewsAccessibilityDelegate`
    Returns the root of the view hierarchy for the platform view with the requested id, or null if there is no corresponding view.
    Specified by:
      `getPlatformViewById` in interface `PlatformViewsAccessibilityDelegate`

  - ### usesVirtualDisplay

    public boolean usesVirtualDisplay(int id)
    Description copied from interface: `PlatformViewsAccessibilityDelegate`
    Returns true if the platform view uses virtual displays.
    Specified by:
      `usesVirtualDisplay` in interface `PlatformViewsAccessibilityDelegate`

  - ### attachAccessibilityBridge

    public void attachAccessibilityBridge(@NonNull AccessibilityBridge accessibilityBridge)
    Description copied from interface: `PlatformViewsAccessibilityDelegate`
    Attaches an accessibility bridge for this platform views accessibility delegate.

    Accessibility events originating in platform views belonging to this delegate will be delegated to this accessibility bridge.

    Specified by:
      `attachAccessibilityBridge` in interface `PlatformViewsAccessibilityDelegate`

  - ### detachAccessibilityBridge

    public void detachAccessibilityBridge()
    Description copied from interface: `PlatformViewsAccessibilityDelegate`
    Detaches the current accessibility bridge.

    Any accessibility events sent by platform views belonging to this delegate will be ignored until a new accessibility bridge is attached.

    Specified by:
      `detachAccessibilityBridge` in interface `PlatformViewsAccessibilityDelegate`